dtkcore (5.5.33-2+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 5.2.2.5-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 26 Dec 2020 23:00:24 +0000]
  * Update symbols file for raspbian.

  [changes introduced in 5.5.17.1-1+rpi1 by Peter Michael Green]
  * Further symbols file updates for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 02 Nov 2023 20:38:35 +0000

dtkcore (5.5.33-2) unstable; urgency=medium

  * debian/patches: Drop explicit cxx11 from tests. (Closes: #1038703)
  * debian/control:
    + Bump Standards Version to 4.6.2.
    + Update my Uploaders email to debian.org email.
  * debian/upstream/metadata: Fix Repository URL.

 -- Arun Kumar Pariyar <arun@debian.org>  Wed, 21 Jun 2023 00:09:53 +0545

dtkcore (5.5.33-1) unstable; urgency=medium

  * New upstream version 5.5.33.
  * debian/libdtkcore5.shlibs: update version to 5.5.33.
  * debian/rules: Add buildsystem=qmake.

 -- Clay Stan <claystan97@gmail.com>  Tue, 02 Aug 2022 13:14:06 +0800

dtkcore (5.5.32-1) unstable; urgency=medium

  * New upstream version.

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Jun 2022 13:26:45 -0400

dtkcore (5.5.31-1) unstable; urgency=medium

  * New upstream version.
  * debian/libdtkcore5.shlibs: update version to 5.5.31.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 May 2022 23:35:19 -0400

dtkcore (5.5.30-1) unstable; urgency=medium

  * New upstream version.
  * debian/libdtkcore5.shlibs: update version to 5.5.30.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Apr 2022 16:10:36 -0400

dtkcore (5.5.23-1) unstable; urgency=medium

  * New upstream version 5.5.23.
  * debian/copyright: updated.
  * debian/libdtkcore5.shlibs: update version to 5.5.23.

 -- Clay Stan <claystan97@gmail.com>  Mon, 21 Feb 2022 15:21:41 +0800

dtkcore (5.5.17.1-1) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Nov 2021 13:33:41 -0500

dtkcore (5.5.17.1-1~exp1) experimental; urgency=medium

  [ Clay Stan ]
  * New upstream version 5.5.17.1.
  * add qdbusxml2cpp manpage.

  [ Boyuan Yang ]
  * Upload new version to experimental. (Closes: #993174)
  * Tighten library version requirement using
    debian/libdtkcore5.shlibs.
  * debian/upstream/metadata: Fix field names.
  * debian/control: Drop ${shlibs:Depends} from libdtkcore-dev
    dependency field, useless.

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Nov 2021 08:25:42 -0500

dtkcore (5.4.13-1) unstable; urgency=medium

  * New upstream version 5.4.13.

 -- Clay Stan <claystan97@gmail.com>  Sun, 25 Apr 2021 17:02:11 +0800

dtkcore (5.4.0-1~exp1) experimental; urgency=medium

  [ Clay Stan ]
  * New upstream release 5.4.0.
  * debian/control: Add Clay Stan to Uploaders list.

  [ Hu Feng ]
  * debian/control:
    + Remove Build-Depends qtbase5-dev
    + Add Hu Feng to Uploaders list.
  * debian/patches:
    + Add 0001-fix-access-null-pointer.patch
  * debian/libdtkcore5.symbols
    + Update symbols

 -- Hu Feng <hufeng@uniontech.com>  Wed, 03 Mar 2021 09:53:46 +0800

dtkcore (5.2.2.5-2) unstable; urgency=medium

  * debian/libdtkcore5.symbols:
    + Update symbols for other archs.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Mon, 21 Dec 2020 15:05:28 +0545

dtkcore (5.2.2.5-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * debian/libdtkcore5.symbols:
    + Add support for 32-bit architectures.

  [ Arun Kumar Pariyar ]
  * Upload to unstable.
  * debian/control:
    + Bump Standards-Version to 4.5.1.
    + Add pkg-kde-tools to build dependency.
    + Set Replaces+Breaks with libdtkwidget-dev (<< 5.2.2.10-1).
  * Add symbols file for libdtkcore5.
  * debian/copyright: Update license information.
  * debian/rules: Cleanup and ensure proper build.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sun, 20 Dec 2020 23:27:37 +0545

dtkcore (5.2.2.5-1~exp1) experimental; urgency=medium

  [ Tu Qinggang ]
  * New upstream release 5.2.2.5.
  * debian/control: Add Tu Qinggang to Uploaders list.

  [ Arun Kumar Pariyar ]
  * debian/patches: Drop all patches.
  * debian/copyright:
    + Add GPL-3+ license for src/util/dthreadutils.* .
    + Update copyright information.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Thu, 03 Sep 2020 05:56:38 +0000

dtkcore (5.2.2.1-1~exp1) experimental; urgency=medium

  * New upstream release 5.2.2.1.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sun, 12 Jul 2020 13:01:11 +0545

dtkcore (5.2.1-1~exp1) experimental; urgency=medium

  * new upstream release 5.2.1.
  * debian/control: Let libdtkcore5-bin provides dtkcore-bin.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jun 2020 10:00:53 -0400

dtkcore (5.2.0-1~exp1) experimental; urgency=medium

  * New upstream release 5.2.0.
  * debian/control:
    + Bump library SONAME to 5.
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.5.0.
    + Add Arun Kumar Pariyar to the uploaders list.
  * debian/copyright: Update license information (new LGPL-3+).
  * debian/rules: Update to ensure proper build.

 -- Boyuan Yang <byang@debian.org>  Tue, 19 May 2020 03:33:35 +0800

dtkcore (2.1.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Sep 2019 13:27:12 -0400

dtkcore (2.1.1-1~exp1) experimental; urgency=medium

  * New upstream release 2.1.1.
  * debian/shlibs: Bump minimum version requirement to 2.1.1.
  * Correctly cross-build. (Closes: #924234)
  * debian/patches: Add patch to fix incorrect script
    interpreter line.

 -- Boyuan Yang <byang@debian.org>  Mon, 05 Aug 2019 16:40:11 -0400

dtkcore (2.0.15-1~exp1) experimental; urgency=medium

  * New upstream release 2.0.15.
  * debian/control:
    + Bump Standards-Version to 4.4.0.
  * debian/shlibs: Bump minimum library version requirement to
    2.0.11.
  * debian/rules: Refine manual version parsing.

 -- Boyuan Yang <byang@debian.org>  Sun, 14 Jul 2019 16:54:32 -0400

dtkcore (2.0.9.17-1) unstable; urgency=medium

  * New upstream release 2.0.9.17.

 -- Boyuan Yang <byang@debian.org>  Thu, 28 Feb 2019 16:00:09 -0500

dtkcore (2.0.9.15-1) unstable; urgency=medium

  * New upstream release 2.0.9.15.
  * debian/patches: Remove all patches applied upstream.

 -- Boyuan Yang <byang@debian.org>  Wed, 30 Jan 2019 16:02:13 -0500

dtkcore (2.0.9.14-2) unstable; urgency=medium

  * debian/patches: Add patches from upstream to fix compatibility
    with debhelper copmat v12.

 -- Boyuan Yang <byang@debian.org>  Sat, 05 Jan 2019 21:04:05 -0500

dtkcore (2.0.9.14-1) unstable; urgency=medium

  * New upstream release 2.0.9.14.
  * debian/control:
    + Build-depend on debhelper-compat (= 11) instead of using
      debian/compat file.
    + Bump Standards-Version to 4.3.0 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Thu, 03 Jan 2019 10:17:47 -0500

dtkcore (2.0.9.11-1) unstable; urgency=medium

  * New upstream release 2.0.9.11.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Dec 2018 09:14:31 +0800

dtkcore (2.0.9.10-1) unstable; urgency=medium

  * New upstream release 2.0.9.10.
    + Add compatibility with musl libc.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Dec 2018 12:23:23 -0500

dtkcore (2.0.9.9-1) unstable; urgency=medium

  * New upstream release 2.0.9.9.
  * debian/shlibs: Manually bump required version.

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Nov 2018 10:15:05 -0500

dtkcore (2.0.9.8-1) unstable; urgency=medium

  * New upstream release 2.0.9.8.
  * debian/shlibs: Manually bump required version.

 -- Boyuan Yang <byang@debian.org>  Mon, 12 Nov 2018 19:57:12 -0500

dtkcore (2.0.9.5-1) unstable; urgency=medium

  * New upstream release 2.0.9.5.
  * debian/shlibs: Manually bump required version.
  * debian/rules: Do not explicitly invoke dpkg-architecture.

 -- Boyuan Yang <byang@debian.org>  Sun, 04 Nov 2018 09:51:01 -0500

dtkcore (2.0.9.4-1) unstable; urgency=medium

  * New upstream version 2.0.9.4
  * Use shlibs file to circumvent symbols problems.

 -- Yanhao Mo <yanhaocs@gmail.com>  Sun, 14 Oct 2018 19:35:33 +0800

dtkcore (2.0.9-2) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1 (no changes needed).
  * Update my uploaders info and use @debian.org email address.
  * debian/patches: Do not provide with private Qt headers anymore.

 -- Boyuan Yang <byang@debian.org>  Fri, 31 Aug 2018 10:53:29 -0400

dtkcore (2.0.9-1) unstable; urgency=medium

  * New upstream version 2.0.9
  * Bump Standards-Version to 4.1.5 (no changes needed).
  * Refresh symbols.

 -- Yanhao Mo <yanhaocs@gmail.com>  Wed, 25 Jul 2018 09:20:00 +0800

dtkcore (2.0.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 18 May 2018 22:02:21 +0800

dtkcore (2.0.8-2) unstable; urgency=medium

  * Refresh symbols using buildd logs.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 06 May 2018 17:30:18 +0800

dtkcore (2.0.8-1) unstable; urgency=medium

  [ Yanhao Mo ]
  * New upstream release.
  * d/libdtkcore-dev.install: Remove /usr/lib/*/libdtk/modules/* .

  [ Boyuan Yang ]
  * d/control: Switch team address back to pkg-deepin-devel.
  * d/symbols: Update according to buildlog.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 05 May 2018 19:37:12 +0800

dtkcore (2.0.7.1-5) unstable; urgency=medium

  * (Really) set maintainer email to the new one.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 19 Apr 2018 21:36:54 +0800

dtkcore (2.0.7.1-4) unstable; urgency=medium

  * Set maintainer email to team+pkg-deepin@tracker.debian.org .
  * Reconfirm symbols using buildd logs.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 17 Apr 2018 12:34:47 +0800

dtkcore (2.0.7.1-3) unstable; urgency=medium

  * Rebuild for Qt 5.10 on Debian.
  * Provide Qt header compatibility for Qt 5.9.x series. Closes: #894612.
    It's hacky but we don't really have much options.
  * Bump Standards-Version to 4.1.4 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Sun, 08 Apr 2018 18:04:24 +0800

dtkcore (2.0.7.1-2) unstable; urgency=medium

  * Deal with Qt headers to ensure compatibility against Qt 5.10.1.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 22 Mar 2018 15:38:38 +0800

dtkcore (2.0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch for Qt private header for Qt 5.10.1.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 20 Mar 2018 10:18:14 +0800

dtkcore (2.0.7-1) unstable; urgency=medium

  * Upload to unstable.
  * Refresh symbols.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 07 Mar 2018 15:39:36 +0800

dtkcore (2.0.7-1~exp1) experimental; urgency=medium

  * New upstream version.
  * Refresh patches.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 05 Mar 2018 17:04:07 +0800

dtkcore (2.0.6-3) unstable; urgency=medium

  * d/control: Bump debhelper compat to v11.
  * d/control: Migrate to Salsa platform for Vcs handling.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 04 Mar 2018 18:12:23 +0800

dtkcore (2.0.6-2) unstable; urgency=medium

  * Fix symbols for hurd-i836 using buildlogs.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 18 Jan 2018 09:25:18 +0800

dtkcore (2.0.6-1) unstable; urgency=medium

  * New upstream release.
    + Add cmake files to ease package searching.
  * Backport one upstream patch to fix FTBFS on hurd systems.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 17 Jan 2018 23:33:32 +0800

dtkcore (2.0.5.3-1) unstable; urgency=medium

  * New upstream release.
    - Add chinese2pinyin library as dpinyin module.
  * Support non-linux platforms again.
  * Bump Standards-Version to 4.1.3. (no changes needed)
  * d/copyright: Update license information.
  * d/patches: Drop useless patches, merged upstream.
  * Refresh symbols for libdtkcore2.
  * Mark libdtkcore-dev as M-A: same.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 01 Jan 2018 08:57:24 +0800

dtkcore (2.0.5.2-3) unstable; urgency=medium

  * Add Breaks+Replaces libdtkwidget-dev (<< 2.0.5.2-3) to
    take over files about Qt headers.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 13 Dec 2017 23:40:21 +0800

dtkcore (2.0.5.2-2) unstable; urgency=medium

  * Cherry-pick upstream patch to support non-linux arch.
  * Add patch to workaround problems for Qt private headers.
  * Bump to Standards-Version 4.1.2. (No changes needed)

 -- Boyuan Yang <073plan@gmail.com>  Wed, 13 Dec 2017 20:21:25 +0800

dtkcore (2.0.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 28 Nov 2017 20:12:15 +0800

dtkcore (2.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Install upstream changelog into doc directory.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 07 Nov 2017 20:03:57 +0800

dtkcore (2.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Add build-dependency libgsettings-qt-dev.
  * Refresh symbols.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 30 Oct 2017 01:02:45 +0800

dtkcore (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1. (No changes needed)
  * Fix typo in Vcs URL.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 18 Oct 2017 21:02:30 +0800

dtkcore (2.0.0-2) unstable; urgency=high

  * Set package as linux-any since the packages depend on linux-specific
    inotify interface. (Closes: #874137)

 -- Boyuan Yang <073plan@gmail.com>  Mon, 04 Sep 2017 00:00:54 +0800

dtkcore (2.0.0-1) unstable; urgency=medium

  * New upstream release.
    + Add tests.
  * Bump Standards-Version to 4.1.0 (no changes needed).
  * Refresh symbols.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 03 Sep 2017 10:57:09 +0800

dtkcore (0.3.3+git20170731-1) unstable; urgency=medium

  * Initial Release. (Closes: #869894)

 -- Boyuan Yang <073plan@gmail.com>  Wed, 02 Aug 2017 21:46:12 +0800
